List File Tags

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.visible.vc/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Visible API MCP server": {
  "url": "https://docs.visible.vc/mcp"
}
Close
GET /file_tags

Returns a paginated collection of file tags for a company.

Query parameters

  • company_id string(uuid) Required

    ID of your company or fund

  • page integer

    Page number

    Minimum value is 1. Default value is 1.

Responses

  • 200 application/json

    Successfully retrieved file tags

    Hide response attributes Show response attributes object
    • file_tags array[object]
      Hide file_tags attributes Show file_tags attributes object
      • id string(uuid) Required

        Unique identifier for the file tag

      • name string Required

        Name of the file tag

      • created_at string(date-time) Required

        When the file tag was created

    • meta object
      Hide meta attributes Show meta attributes object
      • total integer Required

        Total number of items across all pages

      • total_pages integer Required

        Total number of pages

      • page integer Required

        Current page number

  • 401 application/json

    Unauthorized - Invalid or missing authentication token

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 403 application/json

    Forbidden - The authenticated user does not have access to the requested resource

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 429 application/json

    Too Many Requests - Rate limit exceeded

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

GET /file_tags
curl \
 --request GET 'https://api.visible.vc/file_tags?company_id=string' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "file_tags": [
    {
      "id": "ec5252fe-9abc-4096-85e9-1374e70a3182",
      "name": "Board",
      "created_at": "2025-01-01T00:00:00.000Z"
    }
  ],
  "meta": {
    "total": 1,
    "total_pages": 1,
    "page": 1
  }
}
Response examples (401)
{
  "errors": [
    {
      "type": "unauthorized"
    }
  ]
}
Response examples (403)
{
  "errors": [
    {
      "type": "forbidden"
    }
  ]
}
Response examples (429)
{
  "errors": [
    {
      "type": "rate_limit_exceeded"
    }
  ]
}